--- src/Makefile.original	2008-02-27 11:00:31.000000000 -0400
+++ src/Makefile	2008-04-18 14:39:16.000000000 -0300
@@ -208,11 +208,11 @@
 	$(LIBCOMMAND) $@ $(OBJECTS)
 	$(RANLIB) $@
 
-libfltk.so.1.1: $(OBJECTS)
+$(DSONAME): $(OBJECTS)
 	echo $(DSOCOMMAND) $@ ...
 	$(DSOCOMMAND) $@ $(OBJECTS)
 	$(RM) libfltk.so
-	$(LN) libfltk.so.1.1 libfltk.so
+	$(LN) $(DSONAME) libfltk.so
 
 libfltk.sl.1.1: $(OBJECTS)
 	echo $(DSOCOMMAND) $@ ...
@@ -244,11 +244,11 @@
 	$(LIBCOMMAND) $@ $(FLOBJECTS)
 	$(RANLIB) $@
 
-libfltk_forms.so.1.1: $(FLOBJECTS) libfltk.so.1.1
+$(FLDSONAME): $(FLOBJECTS) $(DSONAME)
 	echo $(DSOCOMMAND) $@ ...
 	$(DSOCOMMAND) $@ $(FLOBJECTS) -L. -lfltk
 	$(RM) libfltk_forms.so
-	$(LN) libfltk_forms.so.1.1 libfltk_forms.so
+	$(LN) $(FLDSONAME) libfltk_forms.so
 
 libfltk_forms.sl.1.1: $(FLOBJECTS) libfltk.sl.1.1
 	echo $(DSOCOMMAND) $@ ...
@@ -280,11 +280,11 @@
 	$(LIBCOMMAND) $@ $(GLOBJECTS)
 	$(RANLIB) $@
 
-libfltk_gl.so.1.1: $(GLOBJECTS) libfltk.so.1.1
+$(GLDSONAME): $(GLOBJECTS) $(DSONAME)
 	echo $(DSOCOMMAND) $@ ...
 	$(DSOCOMMAND) $@ $(GLOBJECTS) -L. -lfltk
 	$(RM) libfltk_gl.so
-	$(LN) libfltk_gl.so.1.1 libfltk_gl.so
+	$(LN) $(GLDSONAME) libfltk_gl.so
 
 libfltk_gl.sl.1.1: $(GLOBJECTS) libfltk.sl.1.1
 	echo $(DSOCOMMAND) $@ ...
@@ -316,11 +316,11 @@
 	$(LIBCOMMAND) $@ $(IMGOBJECTS)
 	$(RANLIB) $@
 
-libfltk_images.so.1.1: $(IMGOBJECTS) libfltk.so.1.1
+$(IMGDSONAME): $(IMGOBJECTS) $(DSONAME)
 	echo $(DSOCOMMAND) $@ ...
 	$(DSOCOMMAND) $@ $(IMGOBJECTS) -L. $(IMAGELIBS) -lfltk
 	$(RM) libfltk_images.so
-	$(LN) libfltk_images.so.1.1 libfltk_images.so
+	$(LN) $(IMGDSONAME) libfltk_images.so
 
 libfltk_images.sl.1.1: $(IMGOBJECTS) libfltk.sl.1.1
 	echo $(DSOCOMMAND) $@ ...
@@ -504,10 +504,10 @@
 		$(RANLIB) $(DESTDIR)$(libdir)/$(GLLIBNAME); \
 	fi
 	$(RANLIB) $(DESTDIR)$(libdir)/$(IMGLIBNAME)
-	if test x$(DSONAME) = xlibfltk.so.1.1; then\
+	if test x$(DSONAME) = xlibfltk.so.1.3; then\
 		$(RM) $(DESTDIR)$(libdir)/libfltk.so*;\
-		$(INSTALL_LIB) libfltk.so.1.1 $(DESTDIR)$(libdir); \
-		$(LN) libfltk.so.1.1 $(DESTDIR)$(libdir)/libfltk.so;\
+		$(INSTALL_LIB) $(DSONAME) $(DESTDIR)$(libdir); \
+		$(LN) $(DSONAME) $(DESTDIR)$(libdir)/libfltk.so;\
 	fi
 	if test x$(DSONAME) = xlibfltk.sl.1.1; then\
 		$(RM) $(DESTDIR)$(libdir)/libfltk.sl*;\
@@ -535,10 +535,10 @@
 		$(RM) $(DESTDIR)$(libdir)/libfltk.dll.a;\
 		$(INSTALL_LIB) libfltk.dll.a $(DESTDIR)$(libdir); \
 	fi
-	if test x$(FLDSONAME) = xlibfltk_forms.so.1.1; then\
+	if test x$(FLDSONAME) = xlibfltk_forms.so.1.3; then\
 		$(RM) $(DESTDIR)$(libdir)/libfltk_forms.so*;\
-		$(INSTALL_LIB) libfltk_forms.so.1.1 $(DESTDIR)$(libdir); \
-		$(LN) libfltk_forms.so.1.1 $(DESTDIR)$(libdir)/libfltk_forms.so;\
+		$(INSTALL_LIB) $(FLDSONAME) $(DESTDIR)$(libdir); \
+		$(LN) $(FLDSONAME) $(DESTDIR)$(libdir)/libfltk_forms.so;\
 	fi
 	if test x$(FLDSONAME) = xlibfltk_forms.sl.1.1; then\
 		$(RM) $(DESTDIR)$(libdir)/libfltk_forms.sl*;\
@@ -566,10 +566,10 @@
 		$(RM) $(DESTDIR)$(libdir)/libfltk_forms.dll.a;\
 		$(INSTALL_LIB) libfltk_forms.dll.a $(DESTDIR)$(libdir); \
 	fi
-	if test x$(GLDSONAME) = xlibfltk_gl.so.1.1; then\
+	if test x$(GLDSONAME) = xlibfltk_gl.so.1.3; then\
 		$(RM) $(DESTDIR)$(libdir)/libfltk_gl.so*;\
-		$(INSTALL_LIB) libfltk_gl.so.1.1 $(DESTDIR)$(libdir); \
-		$(LN) libfltk_gl.so.1.1 $(DESTDIR)$(libdir)/libfltk_gl.so;\
+		$(INSTALL_LIB) $(GLDSONAME) $(DESTDIR)$(libdir); \
+		$(LN) $(GLDSONAME) $(DESTDIR)$(libdir)/libfltk_gl.so;\
 	fi
 	if test x$(GLDSONAME) = xlibfltk_gl.sl.1.1; then\
 		$(RM) $(DESTDIR)$(libdir)/libfltk_gl.sl*;\
@@ -597,10 +597,10 @@
 		$(RM) $(DESTDIR)$(libdir)/libfltk_gl.dll.a;\
 		$(INSTALL_LIB) libfltk_gl.dll.a $(DESTDIR)$(libdir); \
 	fi
-	if test x$(IMGDSONAME) = xlibfltk_images.so.1.1; then\
+	if test x$(IMGDSONAME) = xlibfltk_images.so.1.3; then\
 		$(RM) $(DESTDIR)$(libdir)/libfltk_images.so*;\
-		$(INSTALL_LIB) libfltk_images.so.1.1 $(DESTDIR)$(libdir); \
-		$(LN) libfltk_images.so.1.1 $(DESTDIR)$(libdir)/libfltk_images.so;\
+		$(INSTALL_LIB) $(IMGDSONAME) $(DESTDIR)$(libdir); \
+		$(LN) $(IMGDSONAME) $(DESTDIR)$(libdir)/libfltk_images.so;\
 	fi
 	if test x$(IMGDSONAME) = xlibfltk_images.sl.1.1; then\
 		$(RM) $(DESTDIR)$(libdir)/libfltk_images.sl*;\
@@ -632,7 +632,7 @@
 uninstall:
 	echo "Uninstalling libraries..."
 	$(RM) $(DESTDIR)$(libdir)/$(LIBNAME)
-	if test x$(DSONAME) = xlibfltk.so.1.1; then\
+	if test x$(DSONAME) = xlibfltk.so.1.3; then\
 		$(RM) $(DESTDIR)$(libdir)/libfltk.so*;\
 	fi
 	if test x$(DSONAME) = xlibfltk.sl.1.1; then\
@@ -653,7 +653,7 @@
 		$(RM) $(DESTDIR)$(libdir)/libfltk.dll.a;\
 	fi
 	$(RM) $(DESTDIR)$(libdir)/$(FLLIBNAME);
-	if test x$(FLDSONAME) = xlibfltk_forms.so.1.1; then\
+	if test x$(FLDSONAME) = xlibfltk_forms.so.1.3; then\
 		$(RM) $(DESTDIR)$(libdir)/libfltk_forms.so*;\
 	fi
 	if test x$(FLDSONAME) = xlibfltk_forms.sl.1.1; then\
@@ -676,7 +676,7 @@
 	if test x$(GLLIBNAME) != x; then\
 		$(RM) $(DESTDIR)$(libdir)/$(GLLIBNAME);\
 	fi
-	if test x$(GLDSONAME) = xlibfltk_gl.so.1.1; then\
+	if test x$(GLDSONAME) = xlibfltk_gl.so.1.3; then\
 		$(RM) $(DESTDIR)$(libdir)/libfltk_gl.so*;\
 	fi
 	if test x$(GLDSONAME) = xlibfltk_gl.sl.1.1; then\
@@ -699,7 +699,7 @@
 	if test x$(IMGLIBNAME) != x; then\
 		$(RM) $(DESTDIR)$(libdir)/$(IMGLIBNAME);\
 	fi
-	if test x$(IMGDSONAME) = xlibfltk_images.so.1.1; then\
+	if test x$(IMGDSONAME) = xlibfltk_images.so.1.3; then\
 		$(RM) $(DESTDIR)$(libdir)/libfltk_images.so*;\
 	fi
 	if test x$(IMGDSONAME) = xlibfltk_images.sl.1.1; then\
